### Method

# Vips Image matrixprint

#### Declaration [src]

    int
    vips_matrixprint (
      VipsImage* in,
      ...
    )

#### Description [src]

Print `in` to %stdout in matrix format. See `vips_matrixload()` for a description of the format.

See also

`vips_matrixload()`.

This method is not directly available to language bindings.

#### Parameters

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.